@import url('https://fonts.googleapis.com/css2?family=League+Spartan:wght@500;700&family=Open+Sans:wght@400;600;700&display=swap');

/* :root{
    --color-black: #1B262C;
    --color-light-blue: #BBE1FA;
    --color-blue: #3282B8;
    --color-dark-blue: #0F4C75;
    --color-white: #eee;
    --color-gray: #777;
} */

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html{
    font-size: 62.5%;
}

body{
    font-family: 'Open Sans', sans-serif !important;
    background: #333 !important;
    height: 100vh;
    overflow-x: hidden;
}
/* header css */
header{
    width: 100%;
    display: flex;
    justify-content: center;
    background-color: #111;
    padding: 3rem 0;
    position: fixed;
    top: 0;
    left: 0;
    transition: all .5s ease;
    z-index: 99;
}

/* JS fade effect */
header.sticky{
    padding: 1.5rem 0;
    background-color: #777;
    border-bottom: 2px solid #a79a2d;
}

header.sticky a{
    color: #111;
}
/* JS fade effect end*/

/* navbar */
.nav-list{
    display: flex;
    margin: 0 auto;
}

.nav-list li{
    list-style: none;
    display: flex;
    margin: 0 7rem;
}

.nav-list a{
    color: var(--color-white);
    text-decoration: none;
    font-size: 2rem;
    font-weight: 600;
    text-align: center;
    color: #eee;
    transition: color .3s;
}

.nav-list a:hover{
    color: #a79a2d;
}
/* 
@media(max-width:800px) {
    header{
        padding: 3.5rem 0;
    }

    .nav-list a{
        font-size: 2rem;
    }

    header.sticky{
        padding: 2rem 0;
    }
    
    header.sticky a{
        font-size: 1.5rem;
    }
}

@media(max-width:500px){
    header{
        padding: 2.5rem 0;
    }

    .nav-list a{
        font-size: 1.6rem;
    }

    header.sticky{
        padding: 1.5rem 0;
    }
    
    header.sticky a{
        font-size: 1.2rem;
    }
} */
/* navbar end */
/* header css end*/


/* section-1 */

.section-1{
    width: 100%;
    height: 100vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-evenly;
}

.section-heading, .main-heading{
    font-size: 6rem;
    font-weight: 900;
    color: #eee;
    text-align: center;
    text-transform: capitalize;
    letter-spacing: .3rem;
    text-shadow: .3rem .3rem .3rem #000;
}

.main-heading{
    font-size: 10rem;
    margin-bottom: -15rem;
}

.section-1-icons i{
    font-size: 28rem;
    color: #a79a2d;
    position: absolute;
    transform: translate(-50%, -50%) scale(0);
    text-shadow: .2rem .2rem .2rem #000;
    transition: transform .3s;
}

.section-1-icons i.change{
    transform: translate(-50%, -50%) scale(1);
    transition: transform .3s .3s;

}


/* section-1 end */

/* section-2 */

.section-2{
    width: 100%;
    /* height: 100vh; */
    margin-top: 15rem;
}

.gallery{
    display: flex;
    justify-content: space-evenly;
    flex-wrap: wrap;
}

.gallery-link{
    position: relative;
    margin: 10rem 1rem;
}

.gallery-link::after{
    content: "";
    position: absolute;
    width: 0;
    height: .2rem;
    background-color: #fff;
    top: 50%;
    left: 2rem;
    transition: width .5s;
    z-index: 10;
}

.gallery-link:hover::after{
    width: 80%;
}

.project-img{
    width: 25vw;
    height: 25vw;
    object-fit: cover;
    box-shadow: .2rem .2rem .1rem #000;
    transition: all .5s;
    border-radius: 5px;
}

.gallery-link:hover .project-img{
    filter: blur(.5rem);
    opacity: .5;
    transform: scale(1.1);
}

.project-name{
    position: absolute;
    top: 3rem;
    left: 3rem;
    font-size: 2rem;
    font-weight: 700;
    text-transform: uppercase;
    color: #eee;
    width: 0;
    overflow: hidden;
    transition: width .5s;
}

.gallery-link:hover .project-name{
    width: 100%;
    transition: width 1.5s .5s;
}

.project-description{
    position: absolute;
    bottom: 3rem;
    left: 2rem;
    width: 70%;
    font-size: 1.5rem;
    color: #eee;
    font-weight: 600;
    text-transform: uppercase;
    opacity: 0;
    visibility: hidden;
    transition: opacity .3s;
}

.gallery-link:hover .project-description{
    opacity: 1;
    visibility: visible;
    transition: opacity .5s .5s;
}

/* section-2 end */

/* section-3 */

.section-3{
    width: 100%;
    height: 50vh;
    margin-top: 250px;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.section-3 .section-heading{
    margin-bottom: 5rem;
}

.heading-3{
    color: #eee;
    font-weight: 600;
    letter-spacing: .1rem;
    text-shadow: .2rem .2rem .2rem #000;
    text-align: center;
    font-size: 3rem;
    margin: 2rem 0;
}

.left, .right{
    background-color: #777;
    border-radius: 5px;
    box-shadow: .2rem .2rem .2rem #a79a2d,
    .3rem .3rem .3rem #000;
    /* height: 70vh; */
}

.about-content{
    padding: .5rem;
    flex-direction: column;
}

.about-content p{
    width: 95% !important;
    margin: 0 auto !important;
    padding: 1rem;
    font-size: 1.4rem;
    text-align: justify !important;
}

.profile-img{
    width: 25%;
    height: 25%;
    object-fit: contain;
    border-radius: 5px;
    box-shadow: .1rem .1rem .1rem #000;
}

.about-footer{
    height: 25%;
    display: flex;
    flex-direction: column;
    justify-content: center;

}

.about-footer h3{
    /* font-size: 1em; */
    margin: 10px 0;
}

.lab-console{
    position: relative;
}

.lab-console i{
    font-size: 3rem;
    color: #eee;
    transform: scale(1);
}

.arrow-container{
    display: flex;
    justify-content: space-around !important;
}

.arrow-p{
    font-size: 3rem;
    font-weight: 900 !important;
    color: #a79a2d;
    text-shadow: .1rem .1rem .1rem #000;
    transform: rotateX(-10rem) scale(0);
    transition: all .5s;
    margin: 0 1rem;
}

.change-arr{
    transform: rotateX(0) scale(1.5);
    transition: all .5s .3s;
    text-shadow: .3rem .3rem .2rem #000;
}

.right{
    display: flex;
    justify-content: center;
    align-items: center;
}

.container{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.container p{
    font-size: 2rem;
    margin: 1rem 0;
}

.container p a:hover{
    color: #a79a2d;
    text-decoration: underline;
    transition: .3s;
}

.container form{
    mask-border-width: 100% !important;
    font-size: 1.5rem;
    font-weight: 600;
}

.container form div{
    width: 100% !important;
    display: flex;
    align-items: center;
}

.container form div label,
 .container form div input,
 .container form div textarea{
    width: 50%;
    margin-top: 4rem;
    outline: none;
}

.container form div textarea,
.container form div input{
    border: 2px solid #a79a2d;
    border-radius: 5px;
    padding: .5rem;
    background-color: #999;
    box-shadow: .1rem .1rem .1rem #000;
}

.container form textarea{
    height: 15rem;
}

.btn{
    background-color: transparent !important;
    border: 2px solid #a79a2d !important;
    color: #eee !important;
    font-size: 1.8rem !important;
    font-weight: 600 !important;
    padding: .25rem 1.5rem !important;
    transition: all .5s;
}

.btn:hover{
    background-color: #a79a2d !important;
    border-radius: 10px;
    transition: border-radius .5s;
}

.container label{
    text-align: center;
}

.container > *{
    color: #eee;
}

.container a{
    text-decoration: none;
    color: inherit;
}

/* section-3 end */

/* section-4 / footer */

.section-4{
    width: 100%;
    height: 20vh;
    background-color: #111;
    margin-top: 250px;
}

.footer-section{
    width: 100%;
    height: 50%;
    position: relative;
}

.footer-section a{
    color: #eee;
    margin: 0 3rem;
    font-size: 3rem;
    text-decoration: none;
    transition: color .3s;
}

.footer-section small{
    font-size: 1.5rem;
}

.footer-section a:hover{
    color: #a79a2d;
}

.footer-p::before{
    content: "";
    width: 35rem;
    height: .1rem;
    background-color: #a79a2d;
    position: absolute;
    top: 0;
    left: 50%;
    margin-left: -17.5rem;
}
.footer-p{
    margin-top: 2rem;
    font-size: 1.5rem;
    color: #eee;
    text-align: center;
}

/* section-4 / footer end */

/* responsiveness */

@media(max-width: 1400){
    html{
        font-size: 50%;
    }
    .section-2{
        height: auto;
        padding: 10rem 0 12rem 0;
    }

    .main-heading{
        margin-bottom: 10rem;
    }

    .gallery-link{
        width: 40rem;
        height: 25rem;
        margin: 5rem;
    }

    .project-img{
        width: 100%;
        height: 100%;
    }

}

@media(max-width: 1000px){
    .section-heading{
        font-size: 7rem;
        margin: 0 5rem;
    }

    .section-1-icons i{
        font-size: 25rem;
    }

    .section-3{
        height: 100vh;
    }

    .about-content{
        flex-direction: column;
    }

    .about-content p{
        width: 95% !important;
    }

    .profile-img{
        width: 40%;
    }

    .right form div{
        flex-direction: column;
        margin: 0 auto;
    }

    .right label, .right input{
        margin-top: 1rem;
    }

    .right input, .right textarea{
        width: 75%;
    }

}

@media(max-width: 900px){
    header{
        width: 100%;
    }
    /* .navbar-list a{
        margin: 2rem;
    } */

    .navbar{
        width: 100%;
    }

    .nav-list i{
        font-size: 3rem;
    }
}

@media(max-width: 700px){
    html{
        font-size: 45%;
    }
    
    .project-img{
        width: 35vw;
        height: 35vw;
    }

    .section-3{
        margin-top: 450px;
    }

    .about-content p{
        font-size: 2rem;
    }

    .contact-row{
        flex-direction: column;
    }
    .left{
        margin-bottom: 7.5rem;
        padding: 0 !important;
    }
    .right{
        padding: 0 !important;
    }
    .about-footer{
        height: auto;
    }
    .container{
        width: 100% !important;
    }
    .right form{
        width: 100%;
        font-size: 2rem;
    }

    .section-4{
        margin-top: 70rem;
    }

    .footer-section{
        display: flex !important;
        flex-direction: column !important;
        justify-content: center;
        align-items: center;
    }

    .col-6{
        padding-top: 1rem;
        margin-top: 2rem;
    }
}

@media(max-width: 550px){
    html{
        font-size: 40%;
    }

    .nav-list li{
        margin: 0 3rem;
    }

    .nav-list li a{
        font-size: 2rem;
    }


    .project-img{
        width: 50vw;
        height: 50vw;
    }

    .social-icons{
        font-size: 14px !important;
        margin-top: 1rem;
    }

    .about-content p{
        font-size: 2.5rem;
    }

    .footer-section{
        
    }

    .footer-p::before{
        margin-top: 1rem;
    }
}

/* responsiveness end */